// Mode: Mobile Phone
@mobile: ~"(max-width: 767px)";

/* Hero image - instagram photos */
.hero-img {
  position: relative;

  &::before {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: linear-gradient(to bottom, rgba(0,0,0,.7) 0, transparent 30%, transparent 100%);
    z-index: 1;
  }

  .hashtag {
    position: absolute;
    top: 10px;
    right: 20px;
    z-index: 2;
    color: white;
    font-weight: bold;

    .fa-instagram {
      font-size: 24px;
      line-height: 24px;
      vertical-align: middle;
    }

    span {
      font: 14px/14px 'Montserrat', sans-serif;
      vertical-align: middle;
    }
  }

  .insta-img {
    width: 100%;
    height: 100%;
  }
}


/* Navigation bar */
.main-nav {
  background-color: white;
  box-shadow: 0 5px 24px -16px black;
  position: relative;
  z-index: 1;

  .navbar {
    margin: 0 auto;
    padding: 0;
    overflow: hidden;

    .navbar-item {
      display: inline-block;
      margin: 0 34px;
      padding: 34px 0;
      text-transform: uppercase;
      color: #2e2e2e;
      font-size: 20px;
      font-weight: bold;
      border-bottom: 3px solid transparent;

      &:hover,
      &.active {
        text-decoration: none;
        color: #286782;
        border-bottom-color: #286782;
      }
    }
  }

  .toggler {
    display: none;
    margin: 14px 20px;
    width: 40px;
    height: 40px;
    left: 0;
    background-color: transparent;
    border: none;

    .fa-bars {
      font-size: 28px;
      color: #2e2e2e;

      &:hover {
        color: #286782;
      }
    }
  }

  @media screen and @mobile {
    background-color: #efefef;

    .toggler {
      display: block;
    }

    .navbar {
      position: absolute;
      top: 100%;
      width: 100%;
      display: none;
      background-color: rgba(255,255,255,.8);
      box-shadow: 0 5px 24px -16px black;

      &.collapsed {
        display: block;
      }

      .navbar-item {
        display: block;
        width: 100%;
        text-align: center;
        margin: 0;
        padding: 20px 0;
        border-bottom: none;

        &:hover {
          background-color: #286782;
          color: white;
        }
      } //navbar-item
    } //navbar
  } //@media
}
